imperative-edsl-vhdl: Deep embedding of VHDL programs with code generation.

[ bsd3, deprecated, language, library ] [ Propose Tags ]
Deprecated. in favor of hardware-edsl

Modules

  • Language
    • Embedded
      • Language.Embedded.VHDL
        • Language.Embedded.VHDL.Command
        • Language.Embedded.VHDL.Expression
          • Language.Embedded.VHDL.Expression.Format
          • Language.Embedded.VHDL.Expression.Hoist
          • Language.Embedded.VHDL.Expression.Type
        • Language.Embedded.VHDL.Interface
        • Language.Embedded.VHDL.Monad
          • Language.Embedded.VHDL.Monad.Expression

Downloads

Maintainer's Corner

For package maintainers and hackage trustees

Candidates

  • No Candidates
Versions [RSS] 0.2, 0.2.0.1, 0.3.2
Dependencies base (>=4 && <5), bytestring, constraints, containers (>=0.1 && <1), language-vhdl (>=0.1.1.0), mtl (>=2.2 && <3), operational-alacarte (>=0.1.1), pretty (>=1.0) [details]
License BSD-3-Clause
Author Markus Aronsson
Maintainer mararon@chalmers.se
Category Language
Uploaded by mararon at 2015-10-31T08:54:34Z
Distributions NixOS:0.3.2
Downloads 1755 total (2 in the last 30 days)
Rating (no votes yet) [estimated by Bayesian average]
Your Rating
  • λ
  • λ
  • λ
Status Docs not available [build log]
Last success reported on 2015-11-22 [all 4 reports]